// ==UserScript==
// @name            CustomizeMixi by masuidrive
// @namespace       http://masuidrive.jp/
// @include         http://mixi.jp/*
// ==/UserScript==


// IFRAMEɤ߹ߤλ顢Ƥɽ
var iframeonload = function() {
    var doc = document.getElementById('masuidrive_mixi_diary').contentWindow.document;
    var elements = doc.getElementsByTagName('td');
    for(var i=0; i<elements.length; ++i) {
	// ʸclassh12
	if(elements[i].getAttribute('class')=='h12') {
	    var div = document.getElementById('masuidrivetip');
	    div.innerHTML = elements[i].innerHTML;
	    return;
	}
    }
    div.style.visibility = 'hidden';
}

// ̿IFRAME   
function createIFrame(id, onload) {
    // IFRAMEȤ򱣤DIV
    var iframe = document.createElement('IFRAME');
    iframe.id = id;
    var div = document.createElement('DIV');
    div.style.display = 'none';
    div.appendChild(iframe);

    // IFRAMEɤ߹ߤλ˸ƤФ륤٥
    iframe.addEventListener('load', onload, false);
    
    // IFRAME
    document.body.appendChild(div);
}

function initialize() {
    // ġåɽDIV
    var div = document.createElement('DIV');
    div.id = 'masuidrivetip';
    div.style.visibility = 'hidden';
    div.style.position = 'absolute';
    div.style.width = 300;
    //div.style.height = 400;
    div.style.border = '1px solid #003399';
    div.style.background = '#e6ecff';
    
    document.body.appendChild(div);

    // ɤ߹
    createIFrame('masuidrive_mixi_diary',iframeonload);


}

// ġåפɽ
function showDiaryTip(url,e) {
    var div = document.getElementById('masuidrivetip');

    if(document.body.clientWidth/2 > e.clientX) {
	div.style.left = window.scrollX+e.clientX+20;
    }
    else {
	div.style.left = window.scrollX+e.clientX-20-(parseInt(div.style.width.replace(/px/,'')));
    }

    div.style.top = window.scrollY+e.clientY+20;
    div.innerHTML = 'now loading...';
    div.style.visibility = 'visible';

    document.getElementById('masuidrive_mixi_diary').src = url;
}

// ġåפɽ
function hiddenDiaryTip() {
    var div = document.getElementById('masuidrivetip');
    div.style.visibility = 'hidden';
}

(function(){
    initialize();

    var a, i;
    a = document.getElementsByTagName('A');
    for(i = 0; i < a.length; i++){
	var l = a[i].href;
	if( l.match( /view_diary/ ) ) {
	    if( l.match( /url=/ ) ){
	        a[i].innerHTML = '<b><i>&gt;&gt;&nbsp;' + a[i].innerHTML + '</i></b>';
	        a[i].href = unescape( a[i].href.replace( /^.*url=/,'' ).replace( /&owner_id.*/,'' ) );
            }
	    else {
	        a[i].onmouseover = function(e) {
	            showDiaryTip(e.target,e);
   	        }
	        a[i].onmouseout = function(e) {
	            hiddenDiaryTip();
	        }
	    }
        }
    }
})();
